Package org.eclipse.ecf.discovery

# Interface IDiscoveryContainerAdapter

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IDiscoveryAdvertiser`, `IDiscoveryLocator`

All Known Subinterfaces:
  `IDiscoveryService`

All Known Implementing Classes:
  `JSLPDiscoveryContainer`

public interface IDiscoveryContainerAdapter extends IDiscoveryLocator, IDiscoveryAdvertiser
Deprecated.
Use IDisocveryLocator and IDisocveryAdvertiser instead
Entry point discovery container adapter. This interface exposes the ability to add/remove listeners for newly discovered services and service types, register and unregister locally provided services, and get (synch) and request (asynchronous) service info from a remote service provider.

This interface can be used by container provider implementations as an adapter so that calls to IContainer.getAdapter(IDiscoveryContainerAdapter.class) will return a non-null instance of a class that implements this interface. Clients can then proceed to use this interface to interact with the given discovery implementation.

## Field Summary

### Fields inherited from interface org.eclipse.ecf.discovery.IDiscoveryAdvertiser

`CONTAINER_NAME`

### Fields inherited from interface org.eclipse.ecf.discovery.IDiscoveryLocator

`CONTAINER_NAME`

## Method Summary

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ecf.discovery.IDiscoveryAdvertiser

`getServicesNamespace, registerService, unregisterAllServices, unregisterService`

### Methods inherited from interface org.eclipse.ecf.discovery.IDiscoveryLocator

`addServiceListener, addServiceListener, addServiceTypeListener, getAsyncServiceInfo, getAsyncServices, getAsyncServices, getAsyncServiceTypes, getServiceInfo, getServices, getServices, getServicesNamespace, getServiceTypes, purgeCache, removeServiceListener, removeServiceListener, removeServiceTypeListener`